<?php
include_once 'cron_init.php';
### Поиск устаревших услуг ###
echo '<pre>Поиск устаревших услуг...</pre>';
echo '<hr>';
$_tmp = mysqli_query($mysqli,"SELECT * FROM `servers`,`orders` WHERE `servers`.`id`=`orders`.`l_s` AND `orders`.`time`< $time") or die("Ошибка запроса: ".mysqli_error($mysqli));
while ($serv = mysqli_fetch_assoc($_tmp)){
    if ($serv['time'] > $time){
        $block_acc = false;
        $status = 'Действует';
    } elseif (($serv['time']+86400) > $time){
        $block_acc = true;
        $status = '-6 до удаления';
    } elseif (($serv['time']+86400) > $time){
        $block_acc = true;
        $status = '-5 до удаления';
    } elseif (($serv['time']+86400) > $time){
        $block_acc = true;
        $status = '-4 до удаления';
    } elseif (($serv['time']+86400) > $time){
        $block_acc = true;
        $status = '-3 до удаления';
    } elseif (($serv['time']+86400) > $time){
        $block_acc = true;
        $status = '-2 до удаления';
    } elseif (($serv['time']+86400) > $time){
        $block_acc = true;
        $status = '-1 до удаления';
    } else {
        $block_acc = 'delete';
        $status = 'Удаление аккаунта';
    }
    $data = json_decode(base64_decode($serv['data']));
    echo '<pre>[ID: '.$serv['oid'].'] [User: '.$serv['uid'].'] [Time: '.date("Y-m-d H:i:s",$serv['time']).' ('.cunter_day_unix($serv['time']).')] ['.$status.'] [SID: '.$serv['id'].'] [O: '.$serv['order_init'].'] [SysStat: '.$lang['ord_status_'.$serv['status']].'] '.(isset($data->login) && !empty($data->login)?'Аккаунт '.$data->login:NULL).' Тариф: '.$serv['nametar'].' </pre>';
    $base64_encode = base64_encode('[ID: '.$serv['oid'].'] [User: '.$serv['uid'].'] [Time: '.date("Y-m-d H:i:s",$serv['time']).' ('.cunter_day_unix($serv['time']).')] ['.$status.'] [SID: '.$serv['id'].'] [O: '.$serv['order_init'].'] [SysStat: '.$lang['ord_status_'.$serv['status']].'] '.(isset($data->login) && !empty($data->login)?'Аккаунт '.$data->login:NULL).' Тариф: '.$serv['nametar']);
    require_once '../wcore/order_'.$serv['order_init'].'.php';
    if (!function_exists('order_'.$serv['order_init'])) {
        echo $status = $lang['ord_t_err_module_s2'];
    }
    $OI = 'order_'.$serv['order_init'];
    if ($block_acc == 'delete') {
        $jcmd = json_decode($OI('close',$serv['id'],$data->login), true);
    } elseif ($block_acc == true){
        $jcmd = json_decode($OI('off',$serv['id'],$data->login), true);
    } elseif ($block_acc == false){
        $jcmd = json_decode($OI('on',$serv['id'],$data->login), true);
    }
    #$jcmd = json_decode($OI('close',$serv['id'],$data->login), true);
    if ($jcmd['status'] == 'ok'){
        $_return = '<span style="color:green">Успешно!</span>';
        if ($block_acc == 'delete') {
            mysqli_query($mysqli,"DELETE FROM `orders` WHERE `oid` = '".$serv['oid']."'");
            logFile('[CronInit] [SERVER:'.$serv['id'].'] [OK] Пользователь '.$data->login.' удален на '.$serv['url'].' (Результат: '.$_return.')');
        } elseif ($block_acc == true){
            mysqli_query($mysqli,"UPDATE `orders` SET `status`='3' WHERE `oid` = '".$serv['oid']."'");
            logFile('[CronInit] [SERVER:'.$serv['id'].'] [OK] Пользователь '.$data->login.' остановлен на '.$serv['url'].' (Результат: '.$_return.')');
        } else {}
        
    } elseif ($jcmd['status'] == 'warn'){
        $_return = '<span style="color:orange">Выполнено, но с ошибкой! (Ошибка: '.$jcmd['errmsg'].')</span>';
        mysqli_query($mysqli,"UPDATE `orders` SET `status`='1' WHERE `oid` = '".$serv['oid']."'");
        logFile('[CronInit] [SERVER:'.$serv['id'].'] [Warn] Пользователь '.$data->login.' удален на '.$serv['url'].' (Результат: '.$_return.')');
    } else {
        $_return = '<span style="color:red">Ошибка: '.$jcmd['errmsg'].'</span>';
        logFile('[ORDER] [SERVER:'.$serv['id'].'] [Error] Ошибка при работе с пользователем '.$data->login.' на '.$serv['url'].' (Результат: '.$_return.') ');
    }
    #var_dump($jcmd);
    echo '<pre>Результат работы: '.$_return.'</pre>';
    logFile('[CronInit] [Hash] '.$base64_encode);
}
echo '<hr>';